summaryrefslogtreecommitdiffstats
path: root/test/ete/scripts/remote/run-robot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/ete/scripts/remote/run-robot.sh')
-rwxr-xr-xtest/ete/scripts/remote/run-robot.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/test/ete/scripts/remote/run-robot.sh b/test/ete/scripts/remote/run-robot.sh
index ff7223a17..162acbe24 100755
--- a/test/ete/scripts/remote/run-robot.sh
+++ b/test/ete/scripts/remote/run-robot.sh
@@ -1,18 +1,20 @@
-#!/bin/bash
+#!/bin/bash -x
cd /opt
-if [ ! -x /opt/demo.sh ]; then
- echo "Robot VM not initialized"
+docker ps | grep -q openecompete_container
+if [ ! $? -eq 0 ]; then
+ echo "Robot not initialized"
exit 2
fi
if [ ! -d eteshare/logs/demo ]; then
- echo "09d8566ea45e43aa974cf447ed591d77" > /opt/config/openstack_tenant_id.txt
- echo "gary_wu" > /opt/config/openstack_username.txt
- echo $OS_PASSWORD_INPUT > /opt/config/openstack_password.txt
+ echo $OS_PROJECT_ID > /opt/config/openstack_tenant_id.txt
+ echo $OS_USERNAME > /opt/config/openstack_username.txt
+ echo $OS_PASSWORD > /opt/config/openstack_password.txt
/bin/bash /opt/eteshare/config/vm_config2robot.sh
- echo "test" | /opt/demo.sh init_robot
+ # set robot VM http server password
+ echo "admin" | /opt/demo.sh init_robot
fi
/opt/ete.sh health